# Interface TupleSequence

All Superinterfaces:
  `uk.ac.starlink.util.Sequence, uk.ac.starlink.util.Splittable<TupleSequence>, Tuple`

All Known Implementing Classes:
  `AbortTupleSequence, CachedTupleSequence`

public interface TupleSequence extends Tuple, uk.ac.starlink.util.Sequence, uk.ac.starlink.util.Splittable<TupleSequence>
Interface for iterating over points to plot. At each step, a tuple of values required for the plot is available. Elements of the tuple are addressed by index, i.e. column. Each step represents a point which is a candidate for plotting; some rows of the original data set may be excluded if that data set has been subsetted to produce this sequence.

This interface extends the `Tuple` interface, and is also a SplittableSequence. Objects implementing this interface allow access to each of their fields at the current row only.

Since:
  6 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`next()`
Advances to the next entry.

### Methods inherited from interface uk.ac.starlink.util.Splittable

`split, splittableSize`

### Methods inherited from interface Tuple

`getBooleanValue, getDoubleValue, getIntValue, getLongValue, getObjectValue, getRowIndex`

## Method Details

### next

boolean next()
Advances to the next entry. No exception is thrown.

Specified by:
  `next` in interface `uk.ac.starlink.util.Sequence`